Bug 1118956 - kernel 3.14.11-100 : unsuitable for production : booting with this kernel damaged lvm
Summary: kernel 3.14.11-100 : unsuitable for production : booting with this kernel dam...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 19
Hardware: i686
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-12 08:54 UTC by customercare
Modified: 2015-02-18 11:46 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-18 11:46:32 UTC


Attachments (Terms of Use)
Screenshot of dracut error message (14.52 KB, image/png)
2014-07-12 09:52 UTC, customercare
no flags Details

Description customercare 2014-07-12 08:54:39 UTC
Description of problem:

1. dm-setup was not able to find some directories, so dracut made an emergency stop to shell.

2. after booting from cd and manually setting grub to boot the old kernel, the next reboot with the last working kernel did not work either:

the boot messages showed something like 

"Systemd I/O error on xvda, sector 0"

and that he can't mount lvm...home.device due to timeout problems.

The mentioned systemd file is not inside/usr/lib/systemd nor /etc/systemd

e2fsck did not find any problem onthe lvm mounted filesystems,
no more IO Error messages while the server is running so far.

I doubt, that the ioerror exists. 


Jul 12 10:22:39 c1 systemd-logind[539]: New session 8 of user root.
Jul 12 10:23:01 c1 systemd[1]: Job dev-mapper-vg_s1\x2dlv_home.device/start timed out.
Jul 12 10:23:01 c1 systemd[1]: Timed out waiting for device dev-mapper-vg_s1\x2dlv_home.device.
Jul 12 10:23:01 c1 systemd[1]: Dependency failed for File System Check on /dev/mapper/vg_s1-lv_home.
Jul 12 10:23:01 c1 systemd[1]: Job dev-mapper-vg_s1\x2dlv_swap.device/start timed out.
Jul 12 10:23:01 c1 systemd[1]: Timed out waiting for device dev-mapper-vg_s1\x2dlv_swap.device.
Jul 12 10:23:01 c1 systemd[1]: Dependency failed for /dev/mapper/vg_s1-lv_swap.

the lvm seems to be ok, the partion seems to be ok too.
I could mount it manually without any problems.

3. something very wired happend afterwards.

I wanted to start SSHD to use a better shell, but instead of just starting sshd, the entire system got up to "normal" operations.

"systemctl start sshd" was used, 
the cpu got 100% , 
the loginshell did not react anymore 
and suddenly the system was booted to multiuser.target as it should have.

 With one exception: polkitd was started. It was disabled for years! now. 


QUESTIONS: 

1. How to restore the LVM to a working, reliable state again ?
2. How to find out, what caused the timeout ?
3. How to find out more about the ioerror ?


BTW: there must be a user friendlier way to switch kernels in such a situation. This particular server was running as a vm, so luckily booting from cd via vnc is possible. Telling dracut to change grub to another kernel would be mega helpful.

Comment 1 customercare 2014-07-12 09:52:59 UTC
Created attachment 917504 [details]
Screenshot of dracut error message

Comment 2 Fedora End Of Life 2015-01-09 21:27:04 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-02-18 11:46:32 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.